cabal-install-solver-3.12.1.0: The command-line interface for Cabal and Hackage.

Safe Haskell | None
Language | Haskell2010

Distribution.Solver.Modular.Var

Synopsis

- data Var qpn
  - = P qpn
  - | F (FN qpn)
  - | S (SN qpn)
- showVar :: Var QPN -> String
- varPN :: Var qpn -> qpn

# Documentation

data Var qpn #

The type of variables that play a role in the solver. Note that the tree currently does not use this type directly, and rather has separate tree nodes for the different types of variables. This fits better with the fact that in most cases, these have to be treated differently.

Constructors

P qpn |
F (FN qpn) |
S (SN qpn) |

#### Instances

Instances details

Functor Var # |
Instance details Defined in Distribution.Solver.Modular.Var Methods fmap :: (a -> b) -> Var a -> Var b # (<$) :: a -> Var b -> Var a #
Show qpn => Show (Var qpn) # |
Instance details Defined in Distribution.Solver.Modular.Var Methods showsPrec :: Int -> Var qpn -> ShowS # show :: Var qpn -> String # showList :: [Var qpn] -> ShowS #
Eq qpn => Eq (Var qpn) # |
Instance details Defined in Distribution.Solver.Modular.Var Methods (==) :: Var qpn -> Var qpn -> Bool # (/=) :: Var qpn -> Var qpn -> Bool #
Ord qpn => Ord (Var qpn) # |
Instance details Defined in Distribution.Solver.Modular.Var Methods compare :: Var qpn -> Var qpn -> Ordering # (<) :: Var qpn -> Var qpn -> Bool # (<=) :: Var qpn -> Var qpn -> Bool # (>) :: Var qpn -> Var qpn -> Bool # (>=) :: Var qpn -> Var qpn -> Bool # max :: Var qpn -> Var qpn -> Var qpn # min :: Var qpn -> Var qpn -> Var qpn #

showVar :: Var QPN -> String #

varPN :: Var qpn -> qpn #

Extract the package name from a Var